#ifndef DEFINE_H
#define DEFINE_H

#define READ_ONLY_FSYS

/* device name ... this name will be registered in the system */
#define RAW_NAME	"/dev"
#define RAW_LEN		4
#define DEVICE_NAME	"/q2"
#define MINOR_NAME	""

/* the maximum number of devices that will be registered for this driver */
#define MAX_DEVS	16

#define MAX_BLOCKS	63

#define MAX_NAMELN	25

#define REPLY		 1
#define NO_REPLY	 0
#define TRUE		 1
#define FALSE		 0

#define SECONDS_BETWEEN_1970_AND_1980	315532800

#define Q2_FILE_MODIFIED	0x10
#define Q2_WINDOW_APP		0x20
#define Q2_USED				0x40
#define Q2_FILE_BUSY		0x80

#define Q2_READ				0x01
#define Q2_WRITE			0x02
#define Q2_APPEND			0x04
#define Q2_CREATE			0x04
#define Q2_EXECUTE			0x08
#define Q2_BLOCK			0x08
#define Q2_MODIFY			0x10
#define Q2_DIRECTORY		0x20

#define Q2_FBLK_SIZE		512
#define Q2_FBLK_BITS		9
#define Q2_FBLK_MASK		0x1FF
#define Q2_XTNT_HDR			16
#define Q2_BITMAP_BLK		2L
#define Q2_DISK_DESC_BLK	1L

#define Q2_NCPFN			16

#endif
