#ifndef PROTO_H
#define PROTO_H

extern int block_read_msg( pid_t pid );
extern int block_write_msg( pid_t pid );
extern int seek_msg(pid_t pid);
extern int get_dev_stat( struct device *dp );
extern int q2_fget(void *data, int size, struct fptr *fp);
extern void terminate(int);
extern int handle_msg(pid_t pid);
extern int chmod_msg(pid_t pid);
extern int open_msg(pid_t pid, int);
extern int close_msg(pid_t pid);
extern int chown_msg(pid_t pid);
extern int sys_msg(pid_t pid);
extern int stat_msg(pid_t pid);
extern int fstat_msg(pid_t pid);
extern int dup_msg(pid_t pid);
extern int utime_msg(pid_t pid);
extern int ioctl_msg(pid_t pid);
extern int readdir_msg(pid_t pid);
extern int rewinddir_msg(pid_t pid);
extern int chdir_msg(pid_t pid);
extern int read_msg(pid_t pid);
extern int write_msg(pid_t pid);
extern mode_t check_access(pid_t pid, struct stat *sptr);
extern void get_ids(pid_t pid, uid_t *uid, gid_t *gid);
extern int map_ocb(pid_t pid, int fd, struct ocb *ocb);
extern int lookup_name(char *);
extern struct ocb * get_ocb(pid_t pid, int fd);
extern int hardware_init(int, char **, char *);
extern void manager_init(int);
extern time_t odtond( unsigned short date[2] );
extern void ndtood( long seconds, unsigned short date[2] );
extern long tzget( long * );
extern void load_stat( int st_dev, struct stat *stat, struct dir_entry *de );

#endif
