#include <stdlib.h>
#include <signal.h>
#include <i86.h>
#include <stddef.h>
#include <dirent.h>
#include <unistd.h>
#include <sys/psinfo.h>
#include <sys/osinfo.h>
#include <sys/sched.h>
#include <sys/prfx.h>
#include <sys/fd.h>
#include <sys/types.h>
#include "struct.h"
#include "extern.h"

/*******************************************************************************/
/*	Function terminate() -	This function is called when a terminate signal is */
/*							sent to the driver.  This function will detach the */
/*							device and the prefix. 							   */
/* 		Parameters Passed : none											   */
/*******************************************************************************/
void terminate( int signo )
{
	signo;
    qnx_device_detach(devno);
	qnx_prefix_detach(devicename);
	exit(0);
}

